ResourcesTraffic Resources

Traffic Resources

Returns a map of resource-hash to resource-ID for all CDN resources (streams, push zones, pull zones) on the account. Use the returned hashes in resource_hashes filter fields on all other analytics endpoints.

curl -X POST "https://api.5centscdn.com/v2/analytics/traffic/resources" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "resource_type": "push"
}'
{
  "sample-hash-abc12": 10001,
  "sample-hash-def34": 10002,
  "sample-hash-ghi56": 10003
}
POST
/analytics/traffic/resources
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
resource_typestring

Filter to a specific resource type. Omit to return all resource types.

Options: push, pull, all, livestream
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
resource_typestring

Filter to a specific resource type. Omit to return all resource types.

Allowed values:pushpullalllivestream

Responses

Returns a map of resource-hash to resource-ID for all CDN resources on the account